Skip to main content
POST
/
report_schedules
/
{schedule_id}
/
delivery_methods
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/delivery_methods \
  -X POST \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "delivery_method": "email"
  }'
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "recipient@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}
Adds a single delivery method to an existing Report Schedule.
Adding email as a delivery method requires the schedule to already have at least one recipient.

Path Parameters

Body

Returns

Returns the updated Report Schedule object.
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/delivery_methods \
  -X POST \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "delivery_method": "email"
  }'
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "recipient@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}